
function QuickMonsterXBoss()
    KEY()
    PMU(5)
    FON("CenterCamera",0)
    MOV(42,23,MCI("CS_mychar_quote"))
    MOV(40,23,MCI("CS_mychar_curly"))
    SLR(1,0)
    SLR(0,1)
    FAI(2)
    ANP("Eye","reset_pos")
    ANP("Eye","show")
    WAI(32)
    ANP("Eye",1)
    WAI(32)
    ANP("Eye",2)
    WAI(32)
    ANP("MonsterX1","fight")
    ANP("Eye","hide")
    BSL("MonsterX1")
    CMU("CS_FireEye")
end

function ScreenShattered()
    ANP("MonsterXScreen1",1,0)
end

function MonsterXSecondForm()
    WAI(60)
    CMU("CS_LastBtl3")
    ANP("MonsterX1","second_form")
end

function DefeatedMonsterX()
    KEY()
    CMU("CS_Fanfale3")
    MS4("\nMonsterX 被击败了！")WAI(140)NOD()CLO()
    FAO(2)
    FOM()
    FLP("DefeatedMonsterX")
    TRA("CS_bossrush_mainstage","E0090",11,83)
end

function MonsterX1()
    PMU(5)
    ANP("MonsterXScreen1","defeated")
    WAI(100)
    DNP("MonsterX1")
    WAI(60)
    DefeatedMonsterX()
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    FOM()
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",11,83)
end

function DeathByMovingPlatform()
    Died()
end